## xiphos 4.2.1+dfsg1

=== cpack/CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#

# packaging xiphos


# setting up common variables to all packagers
message(STATUS "Configuring binary and source packagers")

# The name of the package (or application). If not specified, defaults to
# the project name.
set (CPACK_PACKAGE_NAME "${PROJECT_NAME}")

# The name of the package vendor.
set(CPACK_PACKAGE_VENDOR "The Xiphos Development Team")
set(CPACK_PACKAGE_CONTACT "xiphos-devel@crosswire.org")

# The directory in which CPack is doing its packaging. If it is not set then
# this will default (internally) to the build dir.
# set(CPACK_PACKAGE_DIRECTORY ${CMAKE_BINARY_DIR}/packages)

# Package major Version
set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})

# Package minor Version
set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})

# Package patch Version
set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})

# Package full version, used internally. By default, this is built from
# CPACK_PACKAGE_VERSION_MAJOR, CPACK_PACKAGE_VERSION_MINOR,
# and CPACK_PACKAGE_VERSION_PATCH.
set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})

# A text file used to describe the project. Used, for example, the introduction
# screen of a CPack-generated Windows installer to describe the project.
set(CPACK_PACKAGE_DESCRIPTION_FILE ${CMAKE_CURRENT_SOURCE_DIR}/xiphos.desc)

# Short description of the project (only a few words).
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY
  "An environment for Bible reading, study, and research")

# The name of the package file to generate, not including the extension.
# The default value is:
# ${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${CPACK_SYSTEM_NAME}
#set(CPACK_PACKAGE_FILE_NAME ${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION})

# Installation directory on the target system. This may be used by some CPack
# generators like NSIS to create an installation directory below the
# installation prefix. All installed element will be put inside this directory.
set(CPACK_PACKAGE_INSTALL_DIRECTORY ${CMAKE_BINARY_DIR})

# A branding image that will be displayed by GUI installers.
set(CPACK_PACKAGE_ICON ${PROJECT_SOURCE_DIR}/win32/nsis/pixmaps/header.bmp)

# CPack-time project CPack configuration file. This file included at cpack time,
# once per generator after CPack has set CPACK_GENERATOR to the actual generator
# being used. It allows per-generator setting of CPACK* variables at cpack time.
#set(CPACK_PROJECT_CONFIG_FILE ${CMAKE_CURRENT_SOURCE_DIR}/XiphosCPackConfig.cmake)

# License to be embedded in the installer. It will typically be displayed to the
# user by the produced installer. This license file is not installed.
set(CPACK_RESOURCE_FILE_LICENSE ${PROJECT_SOURCE_DIR}/COPYING)

# README file to be embedded in the installer. It typically describes the
# purpose of the project during the installation. Not all CPack generators uses
# this file.
#set(CPACK_RESOURCE_FILE_README "")

# Welcome file to be embedded in the installer. It welcomes users to this
# installer. Typically used in the graphical installers on Windows and Mac OS X.
#set(CPACK_RESOURCE_FILE_WELCOME "")

# Disables the component-based installation mechanism. When set the component
# specification is ignored and all installed items are put in a single
# “MONOLITHIC” package. Some CPack generators do monolithic packaging by default
# and may be asked to do component packaging by setting
# CPACK_<GENNAME>_COMPONENT_INSTALL to 1/TRUE.
set(CPACK_MONOLITHIC_INSTALL "OFF")

# List of CPack generators to use. If not specified, CPack will create a set of
# options CPACK_BINARY_<GENNAME> (e.g., CPACK_BINARY_NSIS) allowing the user to
# enable/disable individual generators.
set(CPACK_GENERATOR "DEB;RPM")

# The name of the CPack binary configuration file. This file is the CPack
# configuration generated by the CPack module for binary installers.
# Defaults to CPackConfig.cmake.
#set(CPACK_OUTPUT_CONFIG_FILE CPackConfig.cmake)

# Lists each of the executables and associated text label to be used to create
# Start Menu shortcuts. For example, setting this to the list ccmake;CMake will
# create a shortcut named “CMake” that will execute the installed executable
# ccmake. Not all CPack generators use it (at least NSIS, WIX and OSXX11 do).
set(CPACK_PACKAGE_EXECUTABLES "Xiphos;xiphos")

# A boolean variable which enables stripping of all files.
set(CPACK_STRIP_FILES ON)

# If set to TRUE, values of variables prefixed with CPACK will be escaped before
# being written to the configuration files, so that the cpack program receives
# them exactly as they were specified. If not, characters like quotes and
# backslashes can cause parsing errors or alter the value received by the cpack
# program. Defaults to FALSE for backwards compatibility.
set(CPACK_VERBATIM_VARIABLES ON)


# The following CPack variables are specific to source packages, and will not
# affect binary packages:

# The name of the source package.
set(CPACK_SOURCE_PACKAGE_FILE_NAME
  "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")

# A boolean variable which enables stripping of all source files
set(CPACK_SOURCE_STRIP_FILES ON)

# List of generators used for the source packages. As with CPACK_GENERATOR, if
# this is not specified then CPack will create a set of options allowing users
# to select which packages will be generated.
set(CPACK_SOURCE_GENERATOR "ZIP;TGZ")

#  The name of the CPack source configuration file. This file is the CPack
# configuration generated by the CPack module for source installers. Defaults
# to CPackSourceConfig.cmake.
#set(CPACK_SOURCE_OUTPUT_CONFIG_FILE CPackSourceConfig.cmake)

# Pattern of files in the source tree that won’t be packaged when building
# a source package
set (CPACK_SOURCE_IGNORE_FILES
  "${CMAKE_BINARY_DIR}/"
  "/.bzrignore"
  "/.bzrrules"
  "/.git/"
  "/.gitignore"
  "/.github"
  "/.bzrignore/"
  "/.bzrrules/"
  "/.clang-format"
  "/.ci-build.yml"
  "/xiphos-${CPACK_PACKAGE_VERSION}-win32.exe"
  "/xiphos-${CPACK_PACKAGE_VERSION}-win64.exe"
  )


# The following variables are for advanced uses of CPack:

#   What CMake generator should be used if the project is CMake project.
# Defaults to the value of CMAKE_GENERATOR
#set(CPACK_CMAKE_GENERATOR ${CMAKE_GENERATOR})

# List of four values that specify what project to install. The four values are:
# Build directory, Project Name, Project Component, Directory.
# If omitted, CPack will build an installer that installs everything.
#set(CPACK_INSTALL_CMAKE_PROJECTS "")

# System name, defaults to the value of ${CMAKE_SYSTEM_NAME}.
#set(CPACK_SYSTEM_NAME$ {CMAKE_SYSTEM_NAME})

# Directory for the installed files.
#set(CPACK_TOPLEVEL_TAG "")

# Extra commands to install components.
#set(CPACK_INSTALL_COMMANDS "")

# Extra directories to install.
#set(CPACK_INSTALLED_DIRECTORIES "")

# Registry key used when installing this project. This is only used by installer
# for Windows. The default value is based on the installation directory.
#set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "")

#  List of desktop links to create. Each desktop link requires a corresponding
# start menu shortcut as created by CPACK_PACKAGE_EXECUTABLES.
#set(CPACK_CREATE_DESKTOP_LINKS "")

# Try to find architecture
if(UNIX)
  execute_process(COMMAND uname -m OUTPUT_VARIABLE CPACK_PACKAGE_ARCHITECTURE)
  string(STRIP "${CPACK_PACKAGE_ARCHITECTURE}" CPACK_PACKAGE_ARCHITECTURE)
endif(UNIX)

# call generators
if (UNIX)
    # CPack RPM generator
    include(fedora/XiphosRPMPkg.cmake)
    # CPack Debian generator (Unix only)
    include(debian/XiphosDebianPkg.cmake)
endif (UNIX)

if(WIN32)
  set(CPACK_GENERATOR "NSIS")
  # CPack NSIS generator on Windows using the Nullsoft Installation System
  include(windows/XiphosWindowsPkg.cmake)
endif(WIN32)

# run CPack
include(CPack)

=== desktop/CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#

# configure desktop related files


if (UNIX)

  add_custom_target(desktop)

  # xiphos.desktop file
  # describes how xiphos program is to be launched and how it appears in menus
  message(STATUS "Configuring ${PROJECT_NAME}.desktop file")
  # copy xiphos.desktop.in
  configure_file (${PROJECT_NAME}.desktop.in ${PROJECT_NAME}.desktop.in)
  # add translations
  if (GETTEXT_FOUND)
    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.desktop
      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --desktop --template=${PROJECT_NAME}.desktop.in -d ${PROJECT_SOURCE_DIR}/po -o ${PROJECT_NAME}.desktop
      COMMAND ${DESKTOP_FILE_VALIDATE} ${PROJECT_NAME}.desktop
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
      COMMENT "Configuring ${PROJECT_NAME}.desktop file"
      )

    # install xiphos.desktop file
    install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.desktop
      DESTINATION  ${CMAKE_INSTALL_DATADIR}/applications
      COMPONENT data
      )

    add_custom_target(desktop-entry
      DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.desktop
      )
    add_dependencies(desktop desktop-entry)
  endif (GETTEXT_FOUND)

   # Icon
   # for use in the programs menu
   # TODO: on uninstall run gtk-update-icon-cache
   # install icon
  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/xiphos.svg
    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps
    COMPONENT data
    )

  # run gtk-update-icon-cache to create a cache file for icon theme
  IF (POSTINST)
    # check that gtk-update-icon-cache is installed
    find_program (GTK_UPDATE_ICON_CACHE gtk-update-icon-cache)
    if (GTK_UPDATE_ICON_CACHE)
      # gtk-update-icon-cache was found
      message (STATUS "Installing gtk-update-icon-cache.")
      # run gtk-update-icon as a post-building command
      set(_update_icon_cache_cmd
	"${GTK_UPDATE_ICON_CACHE} -f -t ${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor")
      install(CODE
	"execute_process(
       COMMAND ${CMAKE_COMMAND} -E chdir . ${_update_icon_cache_cmd}
       )"
	)
    else (GTK_UPDATE_ICON_CACHE)
      # gtk-update-icon-cache was not found
      message(WARNING "gtk-update-icon-cache not found.
  Make sure to call ${GTK_UPDATE_ICON_CACHE} -f -t \"${CMAKE_INSTALL_DATADIR}/icons/hicolor\" after install and uninstall")
    endif (GTK_UPDATE_ICON_CACHE)
  endif (POSTINST)



  # xiphos.appdata.xml
  # allows the user to look at screenshots and a long description of the application
  # before it is installed on a Linux system.
  message (STATUS "Configuring the AppData metadata file")
  # add translations and validate xiphos.appdata.xml
  add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.appdata.xml
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --xml --template "${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.appdata.xml" -d "${PROJECT_SOURCE_DIR}/po" -o "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.appdata.xml"
    COMMAND ${APPSTREAM_UTIL} validate-relax --nonet ${PROJECT_NAME}.appdata.xml > validate.timestamp
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Configuring the AppData metadata file"
    )
  # install file
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.appdata.xml
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/appdata
    COMPONENT data
    )

  add_custom_target(appdata
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.appdata.xml
    )
  add_dependencies(desktop appdata)


  # unix man pages
  # TODO: make man pages translatable
  message (STATUS "Building man pages")
  # configure xiphos man page
  configure_file (${PROJECT_NAME}.1.in ${PROJECT_NAME}.1)
  # install xiphos man pages
  install (
    FILES
    ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.1
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
    COMPONENT data
    )

  if (HAVE_DBUS)
    # configure xiphos-nav man page
    configure_file (${PROJECT_NAME}-nav.1.in ${PROJECT_NAME}-nav.1)
    # install xiphos-nav man pages
    install (
      FILES
      ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-nav.1
      DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
      COMPONENT data
      )
  endif (HAVE_DBUS)

  add_dependencies(xiphos desktop)

endif (UNIX)

=== help/CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#

# help files
#
# TODO:
# - switch from itstool to portable gettext utilities (msgfmt and xgettext)


if (HELP)
  message (STATUS "Configuring Help files")

  # list of pages
  list (APPEND help_pages
    index.page
    legal.xml
    xiphos-01-introduction.page
    xiphos-02-shortcut-keys.page
    xiphos-10-start.page
    xiphos-11-interface.page
    xiphos-20-modules-introduction.page
    xiphos-21-modules-configuration.page
    xiphos-22-modules-install.page
    xiphos-23-modules-maintenance.page
    xiphos-24-modules-third-party.page
    xiphos-30-search.page
    xiphos-31-advanced-search.page
    xiphos-32-search-syntax.page
    xiphos-33-original-language.page
    xiphos-40-personal-commentary.page
    xiphos-41-studypad.page
    xiphos-42-journals.page
    xiphos-50-preferences-general-settings.page
    xiphos-51-preferences-biblesync.page
    xiphos-52-preferences-fonts-colors.page
    xiphos-53-preferences-modules.page
    xiphos-60-online-help.page
    xiphos-90-credits.page
    )

  # list of figures
  list (APPEND help_figures
    figures/first_start.png
    figures/interface_biblepane-options.png
    figures/interface_biblepane.png
    figures/interface_commentarypane.png
    figures/interface_dictionary.png
    figures/interface_menubar.png
    figures/interface_menubar-view.png
    figures/interface_parallel.png
    figures/interface_parallel-separate.png
    figures/interface.png
    figures/interface_searchpane.png
    figures/interface_shortcut.png
    figures/interface_sidepane.png
    figures/interface_toolbar.png
    figures/interface_viewer.png
    figures/journal.png
    figures/module.png
    figures/personal.png
    figures/preferences_fonts-color.png
    figures/preferences_fonts-misc.png
    figures/preferences_general-misc.png
    figures/preferences_general-biblesync.png
    figures/preferences_modules-misc.png
    figures/preferences_modules-parallel.png
    figures/search_search.png
    figures/studypad.png
    figures/sword3.png
    figures/sword_config.png
    figures/sword_install.png
    figures/sword_remove.png
    figures/sword_sources.png
    figures/xiphos-icon.png
    figures/xiphos-trail-icon.png
    )

  # we use 'mhelp' (mallard help) as 'help' is a CMake reserved keyword
  add_custom_target(mhelp)

  # read languages from LINGUAS
  file (READ ${CMAKE_CURRENT_SOURCE_DIR}/HELP_LINGUAS linguas)
  # transform languages string into a CMake regular list
  string (REGEX MATCHALL "[a-zA-Z_]+" help_locales "${linguas}")
  # build a list of all languages by adding 'C' to the list
  list (APPEND help_all_langs "C" ${help_locales})

  # build all Mallard files

  # 1. copy C files into build_dir
  file (COPY "C" DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
  # add timestamp
  file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/C/pages.timestamp "EMPTY")
  # add target
  add_custom_target(help-C-pages
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/C/pages.timestamp
    )
  add_dependencies(mhelp help-C-pages)

  # 2. create translated pages for all other languages than C
  foreach (lang ${help_locales})

    # create a .PO file if none exists
    if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${lang}/${lang}.po")
      message(STATUS "Creating ${lang}/${lang}.po from HELP_LINGUAS.")
      file(
	MAKE_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${lang}/")
      file(
	COPY "${CMAKE_CURRENT_SOURCE_DIR}/xiphos.pot"
	DESTINATION "${CMAKE_CURRENT_SOURCE_DIR}/${lang}/")
      file(
	RENAME "${CMAKE_CURRENT_SOURCE_DIR}/${lang}/xiphos.pot"
	"${CMAKE_CURRENT_SOURCE_DIR}/${lang}/${lang}.po")
    endif(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${lang}/${lang}.po")

    # copy <lang> files into build_dir
    file (COPY ${lang} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

    # create translated pages for <lang>
    set(pofile "${CMAKE_CURRENT_BINARY_DIR}/${lang}/${lang}.po")
    set(mofile "${CMAKE_CURRENT_BINARY_DIR}/${lang}/${lang}.mo")
    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${lang}/pages.timestamp
      # translate pages
      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o "${mofile}" "${pofile}"
      COMMAND ${CMAKE_COMMAND} -E env d="${CMAKE_CURRENT_SOURCE_DIR}/C"
      ${ITSTOOL} -m "${mofile}" ${help_pages} --output ${CMAKE_CURRENT_BINARY_DIR}/${lang}/
      # add timestamp
      COMMAND ${CMAKE_COMMAND} -E touch ${CMAKE_CURRENT_BINARY_DIR}/${lang}/pages.timestamp
      DEPENDS ${pofile}
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/C
      COMMENT "Generating '${lang}' help files"
      )

    # copy figures or import missing figures from C into build_dir
    foreach (media_file ${help_figures})
      if (NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/${lang}/${media_file}")
	# the <lang> figure has not been created, install the corresponding C figure
	file (COPY ${CMAKE_CURRENT_SOURCE_DIR}/C/${media_file}
	  DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/${lang}/figures
	  )
      endif (NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/${lang}/${media_file}")
    endforeach (media_file)

    add_custom_target(help-${lang}-pages
      DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${lang}/pages.timestamp
      )

    add_dependencies(mhelp help-${lang}-pages)

  endforeach (lang)


  # validate mallard pages
  set (mallard-schema ${CMAKE_CURRENT_SOURCE_DIR}/xml/mallard-1.0.rng)
  foreach (lang ${help_all_langs})
    add_custom_command (OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${lang}/validate.txt
#      COMMAND ${XMLLINT} --noout --xinclude --noent --relaxng ${mallard-schema} *.page > ${CMAKE_CURRENT_BINARY_DIR}/${lang}/validate.txt 2>&1
      COMMAND ${XMLLINT} --noout --xinclude --noent --relaxng ${mallard-schema} *.page
      DEPENDS help-${lang}-pages
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${lang}
      COMMENT "'${lang}' help - mallard pages validation report"
      )
    add_custom_target(validate-${lang}-pages
      DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${lang}/validate.txt
      )

    add_dependencies(mhelp validate-${lang}-pages)

  endforeach (lang)


  # install help files
  if (UNIX)
    # install mallard help files
    foreach (lang ${help_all_langs})
      # list help pages to install
      set (install_pages)
      foreach(page ${help_pages})
	list(APPEND install_pages ${CMAKE_CURRENT_BINARY_DIR}/${lang}/${page})
      endforeach(page)
      # install help files
      install (FILES ${install_pages}
	DESTINATION ${HELPDIR}/${lang}/${PROJECT_NAME}
	)
      # list figures to install
      set (install_media)
      foreach(media ${help_figures})
	list(APPEND install_media ${CMAKE_CURRENT_BINARY_DIR}/${lang}/${media})
      endforeach(media)
      # install figures
      install (FILES ${install_media}
	DESTINATION ${HELPDIR}/${lang}/${PROJECT_NAME}/figures
	)
    endforeach (lang)
  endif (UNIX)


  # custom targets for updating translation files
  # NOTE: these targets will update files in the source tree

  # target to refresh .pot file
  set (help_pot ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.pot)
  # list help pages to translate
  set (pot_pages)
  foreach(page ${help_pages})
    list(APPEND pot_pages ${CMAKE_CURRENT_BINARY_DIR}/C/${page})
  endforeach(page)
  add_custom_target (mhelp_pot
    COMMAND ${ITSTOOL} -o ${help_pot} ${pot_pages}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "Updating help pot file."
    )

  # target for updating a given .po file
  set (help_po_update_all echo)
  foreach (lang ${help_locales})
    add_custom_target (mhelp_${lang}.po
      COMMAND ${GETTEXT_MSGMERGE_EXECUTABLE} --update --verbose ${lang}.po ${help_pot}
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${lang}
      COMMENT "Updating ${lang}.po file"
      )
    # prepare command for the all po target
    set (help_po_update_all ${help_po_update_all} && echo ${lang}.po: && ${GETTEXT_MSGMERGE_EXECUTABLE} --update --verbose ${CMAKE_CURRENT_SOURCE_DIR}/${lang}/${lang}.po ${help_pot})
  endforeach()

  # target for updating all po files
  add_custom_target (mhelp_po
    COMMAND ${help_po_update_all}
    VERBATIM
    )



  ### optional features

  # help files export options

  # for building MS Help, we need HTML files as sources
  if(MSHELP)
    set(HTMLHELP ON)
  endif()

  # for building PDF, we need the ePub file as source
  if(PDFHELP)
    set(EPUB ON)
  endif()


  # export Help to epub

  if (EPUB)
    message(STATUS "Configuring Help to ePub export")
    foreach (lang ${help_all_langs})
      # list help pages to convert
      set (mallard_pages)
      foreach(page ${help_pages})
	list(APPEND mallard_pages ${CMAKE_CURRENT_BINARY_DIR}/${lang}/${page})
      endforeach(page)

      # convert Mallard pages into ePub
      add_custom_command (
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${lang}/${PROJECT_NAME}-${lang}.epub
	COMMAND
        ${YELP_BUILD} epub -o ${PROJECT_NAME}-${lang}.epub ${mallard_pages}
	DEPENDS validate-${lang}-pages
	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${lang}
	COMMENT "Generating '${lang}' ePub Help file"
	)

      add_custom_target(mhelp-epub-${lang}
	DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${lang}/${PROJECT_NAME}-${lang}.epub
	)

      add_dependencies(mhelp mhelp-epub-${lang})

      # install ePub file
      install (FILES
	${CMAKE_CURRENT_BINARY_DIR}/${lang}/${PROJECT_NAME}-${lang}.epub
	DESTINATION ${CMAKE_INSTALL_DOCDIR}
	COMPONENT data
	)

    endforeach ()
  endif(EPUB)


  # export Help to HTML

  if(HTMLHELP)
    message(STATUS "Configuring Help to HTML export")
    foreach (lang ${help_all_langs})

      # list help pages to convert
      set (mallard_pages)
      foreach(page ${help_pages})
	list(APPEND mallard_pages ${CMAKE_CURRENT_BINARY_DIR}/${lang}/${page})
      endforeach(page)

      # convert Mallard pages into html files
      add_custom_command (OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${lang}/html.timestamp
	COMMAND ${CMAKE_COMMAND} -E make_directory html
	COMMAND ${YELP_BUILD} html -o html ${mallard_pages}
	# make a tarball of all the .html files
	COMMAND ${CMAKE_COMMAND} -E tar cvzf xiphos-html-help.tar.gz html
	DEPENDS validate-${lang}-pages
	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${lang}
	COMMENT "Generating '${lang}' html files"
	)
      add_custom_target(mhelp-html-${lang}
	DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${lang}/html.timestamp
	)
      add_dependencies(mhelp mhelp-html-${lang})

      # install HTML files
      install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${lang}/xiphos-html-help.tar.gz
	DESTINATION ${CMAKE_INSTALL_DOCDIR}
	COMPONENT data
	)

    endforeach ()
  endif(HTMLHELP)


  # export Help to MS Help file

  if (MSHELP)
    # create Windows© Help files
    message(STATUS "Configuring Help to Windows© Help export")

    # Notes about errors reported by chmcmd:
    # 1. Warning about https://github.com/crosswire/xiphos:
    #    old versions of chmcmd do not support https links
    # 2. Error: Anchor undefined:
    #    due to missing anchors in index.html

    foreach (lang ${help_all_langs})
      # make a distinct directory
      file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${lang}/chm)

      # list pages to convert
      set (mallard_pages)
      foreach(page ${help_pages})
	list(APPEND mallard_pages ${CMAKE_CURRENT_BINARY_DIR}/${lang}/${page})
      endforeach(page)

      # use a custom css for generating HTML4 copatible pages

=== src/editor/CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#

# build editor
add_library (editor STATIC link_dialog.c)

# Add alias
add_library(Xiphos::Editor ALIAS editor)

if (USE_WEBKIT_EDITOR)
  target_sources(editor
    PRIVATE
    editor.c
    webkit_editor.c
    )
else ()
  target_sources(editor
    PRIVATE
    slib-editor.c
    link_dialog.c
    )
endif ()


# specify include directories to use when compiling
target_include_directories(editor
  PRIVATE
  Threads::Threads
  PkgConfig::Core
  PkgConfig::Gtk
  PkgConfig::Gnome
  PkgConfig::Sword
  )

# specify libraries or flags to use when linking
target_link_libraries(editor
  PRIVATE
  Threads::Threads
  PkgConfig::Core
  PkgConfig::Gtk
  PkgConfig::Gnome
  PkgConfig::Sword
  )

if (WIN32)
  # add X11/keysymdefs.h
  target_include_directories(editor
    PRIVATE
    ${PROJECT_SOURCE_DIR}/win32/include
    )
endif ()

=== src/gtk/CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#

# building xiphos

message (STATUS "Configuring xiphos target")

# generate locale_set.c:

# convert po/LINGUAS file into a C source file containing full locale names.
# names in LINGUAS are either 5-char full "language_LOCALE" names or
# 2-char "language-only" names.  convert the latter.

# This section is, for portability reasons, a rewrite in CMake code
# of src/gtk/make-locale-set.sh.

# 1. read po/LINGUAS
file (READ ${PROJECT_SOURCE_DIR}/po/LINGUAS linguas)
# transform list of languages in a regular CMake list
string (REGEX MATCHALL "[a-zA-Z_]+" langs "${linguas}")

# 2. create header of locate_set.c
set (locale_set ${CMAKE_CURRENT_BINARY_DIR}/locale_set.c)
file (WRITE ${locale_set} "
/* File generated by CMake - Do not edit! */
char *locale_set[] = {\n"
  )
# 3. insert locale names
foreach(LANG ${langs})
  # special case, english.
  if (LANG STREQUAL "en_GB")
    file (APPEND ${locale_set} "  \"en_GB\",\n")
    file (APPEND ${locale_set} "  \"en_US\",\n")
  elseif (LANG STREQUAL "cs")
    # special case, czech.
    file (APPEND ${locale_set} "  \"cs_CZ\",\n")
  elseif (LANG STREQUAL "fa")
    # special case, iran.
    file (APPEND ${locale_set} "  \"fa_IR\",\n")
  elseif(LANG STREQUAL "he")
    # special case, israel.
    file (APPEND ${locale_set} "  \"he_IL\",\n")
  elseif(LANG STREQUAL "nb")
    # special case, norway.
    file (APPEND ${locale_set} "  \"nb_NO\",\n")
  elseif(LANG STREQUAL "sl")
    # special case, slovenia.
    file (APPEND ${locale_set} "  \"sl_SI\",\n")
  elseif(LANG STREQUAL "sv")
    # special case, sweden.
    file (APPEND ${locale_set} "  \"sv_SE\",\n")
  else ()
    string (LENGTH ${LANG} LANG_LEN)
    if (LANG_LEN LESS 5)
      # special case, 2-char "language-only" names.
      string (TOUPPER ${LANG} UPPERLANG)
      file (APPEND ${locale_set} "  \"${LANG}_${UPPERLANG}\",\n")
    else ()
      # common 5-char full "language_LOCALE" names
      file (APPEND ${locale_set} "  \"${LANG}\",\n")
    endif ()
  endif ()
endforeach ()
# 4. add footer to locale_set.c
file (APPEND ${locale_set} "  (char*)0
};\n"
  )
# 5. locale_set.c is tagged as generated during the build
set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/locale_set.c PROPERTIES GENERATED 1)


# build xiphos
add_executable (xiphos
  about_modules.c
  about_sword.c
  about_trans.c
  about_xiphos.c
  bibletext.c
  bibletext_dialog.c
  bookmark_dialog.c
  bookmarks_menu.c
  bookmarks_treeview.c
  cipher_key_dialog.c
  commentary.c
  commentary_dialog.c
  dialog.c
  dictlex.c
  dictlex_dialog.c
  display_info.c
  dummy.cpp
  export_bookmarks.c
  export_dialog.c
  find_dialog.c
  font_dialog.c
  gbs.c
  gbs_dialog.c
  gui.c
  main_menu.c
  main_window.c
  menu_popup.c
  mod_mgr.c
  navbar_book.c
  navbar_book_dialog.c
  navbar_versekey.c
  navbar_versekey_dialog.c
  navbar_versekey_editor.c
  navbar_versekey_parallel.c
  parallel_dialog.c
  parallel_tab.c
  parallel_view.c
  preferences_dialog.c
  search_dialog.c
  search_sidebar.c
  sidebar.c
  sidebar_dialog.c
  splash.c
  tabbed_browser.c
  treekey-editor.c
  utilities.c
  xiphos.c
  ${CMAKE_CURRENT_BINARY_DIR}/locale_set.c
  )

if (DBUS)
  # need to generate 3 files: marshal.c marshal.h ipc-interface.h
  add_custom_command (
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/marshal.h
    ${CMAKE_CURRENT_BINARY_DIR}/marshal.c
    ${CMAKE_CURRENT_BINARY_DIR}/ipc-interface.h

    # process marshal.list to generate marshal.h
    COMMAND ${GLIB_GENMARSHAL}
    ${CMAKE_CURRENT_SOURCE_DIR}/marshal.list
    --prefix=ipc_marshal
    --header > ${CMAKE_CURRENT_BINARY_DIR}/marshal.h
    MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/marshal.list

    # process marshal.list to generate marschal.c
    COMMAND ${GLIB_GENMARSHAL}
    ${CMAKE_CURRENT_SOURCE_DIR}/marshal.list
    --prefix=ipc_marshal
    --body > ${CMAKE_CURRENT_BINARY_DIR}/marshal.c
    MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/marshal.list

    # process ipc-interface.xml to generate ipc-interface.h
    COMMAND ${DBUS_BINDING_TOOL}
    --mode=glib-server
    --output=${CMAKE_CURRENT_BINARY_DIR}/ipc-interface.h
    --prefix=ipc_object ${CMAKE_CURRENT_SOURCE_DIR}/ipc-interface.xml
    MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/ipc-interface.xml

    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "Generating src/gtk files"
    )

  # add files to the sources
  target_sources (xiphos
    PRIVATE
    ipc.c
    ${CMAKE_CURRENT_BINARY_DIR}/marshal.c
    )
  target_include_directories (xiphos
    PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
    PkgConfig::DBus
    )
  target_link_libraries(xiphos
    PRIVATE
    PkgConfig::DBus
    )
endif (DBUS)


# specify include directories to use when compiling
target_include_directories(xiphos
  PRIVATE
  Threads::Threads
  PkgConfig::Core
  PkgConfig::Gtk
  PkgConfig::Gnome
  PkgConfig::Sword
  PkgConfig::Biblesync
  )

# specify libraries or flags to use when linking
target_link_libraries(xiphos
  PRIVATE
  Threads::Threads
  PkgConfig::Core
  PkgConfig::Gtk
  PkgConfig::Gnome
  PkgConfig::Sword
  PkgConfig::Biblesync
  Xiphos::Main
  Xiphos::Backend
  Xiphos::Editor
  Xiphos::Webkit
  Xiphos::Xiphos_html
  )


if(GTK2 AND Unix-print_FOUND)
  # add gtk+-unix-print-2.0
  target_include_directories(xiphos
    PRIVATE
    PkgConfig::Unix-print
    )
  target_link_libraries(xiphos
    PRIVATE
    PkgConfig::Unix-print
    )
endif()

if (WIN32)
  # add X11/keysymdefs.h
  target_include_directories(xiphos
    PRIVATE
    ${PROJECT_SOURCE_DIR}/win32/include
    )
  # add rc file
  target_sources(xiphos
    PRIVATE
    xiphos-winres.rc
    )
endif ()


# install executable
install (TARGETS ${PROJECT_NAME}
  DESTINATION ${CMAKE_INSTALL_BINDIR}
  COMPONENT binaries)

=== src/main/CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#


# building main
add_library (main
  STATIC
  biblesync_glue.cc
  configs.cc
  display.cc
  export_passage.cc
  global_ops.cc
  lists.cc
  main.c
  mod_mgr.cc
  modulecache.cc
  module_dialogs.cc
  navbar_book.cc
  navbar_book_dialog.cc
  navbar.cc
  navbar_versekey.cc
  parallel_view.cc
  prayerlists.cc
  previewer.cc
  search_dialog.cc
  search_sidebar.cc
  settings.c
  sidebar.cc
  sword.cc
  sword_treekey.cc
  tab_history.c
  url.cc
  xml.c
  )

# Add alias
add_library(Xiphos::Main ALIAS main)


# specify include directories to use when compiling
target_include_directories(main
  PRIVATE
  Threads::Threads
  PkgConfig::Core
  PkgConfig::Gtk
  PkgConfig::Gnome
  PkgConfig::Sword
  PkgConfig::Biblesync
  )

# specify libraries or flags to use when linking
target_link_libraries(main
  PRIVATE
  Threads::Threads
  PkgConfig::Core
  PkgConfig::Gtk
  PkgConfig::Gnome
  PkgConfig::Sword
  PkgConfig::Biblesync
  )

=== debian/changelog ===
xiphos (4.2.1+dfsg1-5~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 13 Jan 2021 09:23:39 -0800

xiphos (4.2.1+dfsg1-5) unstable; urgency=medium

  * updated standards version
  * new upload to unstable with depends on sword 1.9

 -- Teus Benschop <teusbenschop@debian.org>  Sat, 28 Nov 2020 20:45:30 +0100

xiphos (4.2.1+dfsg1-4) experimental; urgency=medium

  * depend on sword 1.9

 -- Teus Benschop <teusbenschop@debian.org>  Sat, 21 Nov 2020 16:52:29 +0100

xiphos (4.2.1+dfsg1-3) unstable; urgency=medium

  [ Bastian Germann ]
  * Team upload.
  * Guarantee image display fallback (Closes: #969775)

  [ Teus Benschop ]
  * d/control: Fix uploader email

 -- Teus Benschop <teusbenschop@debian.org>  Sat, 21 Nov 2020 16:20:15 +0100

xiphos (4.2.1+dfsg1-2) unstable; urgency=medium

  [ Bastian Germann ]
  * d/changelog: Correct bug link
  * Don't compress .ogg files (Closes: #913128)

 -- Teus Benschop <teusbenschop@debian.org>  Sun, 12 Jul 2020 19:55:21 +0200

xiphos (4.2.1+dfsg1-1) unstable; urgency=medium

  [ Daniel Glassey ]
  * d/control remove Unit 193 from uploaders on his request

  [ Dimitri John Ledkov ]
  * Drop myself from uploaders.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Bump debhelper from old 11 to 12.

  [ Bastian Germann ]
  * Drop waf for next version
  * d/copyright: Drop undefined Upstream-Source
  * Replace gnome-doc-utils with yelp (Closes: #947542)
  * Replace waf with cmake (Closes: #922784)
  * Change Build-Depends to new version's requirements
  * Add patch: Override git version
  * Drop and refresh patches
  * Fix install locations
  * Update debhelper version (13)
  * Do not build epub
  * lintian: rules-requires-root-missing
  * lintian: debug-symbol-migration-possibly-complete
  * lintian: debian-rules-uses-as-needed-linker-flag
  * Set Standards-Version: 4.5.0
  * Don't install other md files
  * no shlibs on all pkg
  * d/copyright: Add missing info
  * d/control: Suggest festival
  * Add patch: CMake: Don't include win32
  * Disable postinst target

  [ Teus Benschop ]
  * New upstream version 4.2.1+dfsg1 (Closes: #964098)

 -- Teus Benschop <teusbenschop@debian.org>  Sat, 04 Jul 2020 16:44:06 +0200

=== debian/control ===
Source: xiphos
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
Uploaders: Daniel Glassey <wdg@debian.org>,
           Dominique Corbex <dominique@corbex.org>,
           Jonathan Marsden <jmarsden@fastmail.fm>,
           Teus Benschop <teusbenschop@debian.org>
Build-Depends: appstream-util,
               cmake,
               debhelper-compat (= 13),
               desktop-file-utils,
               intltool,
               itstool,
               libbiblesync-dev,
               libdbus-glib-1-dev,
               libgsf-1-dev,
               libgtk-3-dev,
               libminizip-dev,
               libsword-dev (>= 1.9.0+dfsg-2~),
               libwebkit2gtk-4.0-dev,
               libxml2-dev,
               uuid-dev,
               uuid-runtime,
               xsltproc,
               yelp-tools
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/pkg-crosswire-team/xiphos
Vcs-Git: https://salsa.debian.org/pkg-crosswire-team/xiphos.git
Homepage: http://xiphos.org

Package: xiphos
Architecture: any
Depends: imagemagick,
         xiphos-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: xiphos-data (<< 4.0.5+dfsg1-1~)
Replaces: xiphos-data (<< 4.0.5+dfsg1-1~)
Conflicts: xiphos-svn
Provides: sword-frontend
Suggests: festival, sword-text
Description: environment for Bible reading, study, and research
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package provides the main Xiphos program, a digital text reader with
 bookmarks and full-text search. It allows viewing multiple versions of the same
 text, for parallel reading of alternatives or translations. It also supports
 personal verse-specific notes and a rich-text study pad, both of which have
 spell checking and full-text search.
 .
 Xiphos has a built-in facility to browse and install freely-distributed content
 from CrossWire repositories.

Package: xiphos-data
Architecture: all
Depends: ${misc:Depends}
Conflicts: xiphos-svn
Suggests: xiphos
Description: data files for Xiphos Bible study software
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package contains the data files that are necessary to use Xiphos.

=== debian/rules ===
#!/usr/bin/make -f

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DEPUB=OFF -DPOSTINST=OFF

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_compress:
	dh_compress --exclude=.ogg

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## xiphos 4.3.2%2Bdfsg1

=== doc/CMakeLists.txt ===
# Xiphos build script
#
# Copyright (C) 2018 Xiphos Development Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
#

# install doc files
install (FILES
  ${PROJECT_SOURCE_DIR}/AUTHORS
  ${PROJECT_SOURCE_DIR}/COPYING
  ${PROJECT_SOURCE_DIR}/ChangeLog
  ${PROJECT_SOURCE_DIR}/INSTALL.md
  ${PROJECT_SOURCE_DIR}/README.md
  ${PROJECT_SOURCE_DIR}/RELEASE-NOTES
  ${PROJECT_SOURCE_DIR}/TODO
  Translating-Xiphos.md
  "Writing Xiphos Manual.md"
  Xiphos.ogg
  "i18n reminder for developers.md"
  DESTINATION ${CMAKE_INSTALL_DOCDIR}
  COMPONENT data
  )

=== src/main/CMakeLists.txt ===
--- 
+++ 
@@ -60,6 +60,7 @@
   PkgConfig::Core
   PkgConfig::Gtk
   PkgConfig::Gnome
+  PkgConfig::Soup
   PkgConfig::Sword
   PkgConfig::Biblesync
   )
@@ -71,6 +72,18 @@
   PkgConfig::Core
   PkgConfig::Gtk
   PkgConfig::Gnome
+  PkgConfig::Soup
   PkgConfig::Sword
   PkgConfig::Biblesync
   )
+
+if(WK_FOUND)
+  target_compile_definitions(main
+    PRIVATE
+    PkgConfig::WK
+    )
+  target_link_libraries(main
+    PRIVATE
+    PkgConfig::WK
+    )
+endif()
